# Visualization
TKService
Aspect

# Aspect Class Reference

This package contains the group of graphic elements common
to different types of visualisers. It allows the description
of a screen background, a window, an edge, and groups of
graphic attributes that can be used in describing 2D
and 3D objects.
.

`#include <Aspect.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_CString | ValuesOfFOSP (const Aspect_FormatOfSheetPaper aFOSP, Quantity_Length &aWidth, Quantity_Length &aHeight)
| Returns the format size according to the default LENGTH unit of the required format <afosp>. Returns more the normalized format name. .
static Standard_EXPORT Standard_CString | ToCString (const TCollection_ExtendedString &aString)
| Translates an ExtendedString to a CString depending of the local format. .
static Standard_EXPORT Standard_Boolean | Inverse (const TColStd_Array2OfReal &aMat, TColStd_Array2OfReal &Inv)
| Inverses <amat> a 4x4 matrix. .

## Member Function Documentation

static Standard_EXPORT Standard_Boolean Aspect::Inverse | ( | const TColStd_Array2OfReal & | aMat,
|  | TColStd_Array2OfReal & | Inv
| ) | `[static]`

void Aspect::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Aspect::operator new | ( | size_t | size | ) | `[inline]`

void* Aspect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Standard_CString Aspect::ToCString | ( | const TCollection_ExtendedString & | aString | ) | `[static]`

static Standard_EXPORT Standard_CString Aspect::ValuesOfFOSP | ( | const Aspect_FormatOfSheetPaper | aFOSP,
|  | Quantity_Length & | aWidth,
|  | Quantity_Length & | aHeight
| ) | `[static]`

The documentation for this class was generated from the following file:

- Aspect.hxx